aboutsummaryrefslogtreecommitdiffstats
path: root/package/network/services/uhttpd/files/uhttpd.init
diff options
context:
space:
mode:
Diffstat (limited to 'package/network/services/uhttpd/files/uhttpd.init')
-rwxr-xr-xpackage/network/services/uhttpd/files/uhttpd.init4
1 files changed, 4 insertions, 0 deletions
diff --git a/package/network/services/uhttpd/files/uhttpd.init b/package/network/services/uhttpd/files/uhttpd.init
index 6322473b97..869f79bea2 100755
--- a/package/network/services/uhttpd/files/uhttpd.init
+++ b/package/network/services/uhttpd/files/uhttpd.init
@@ -98,6 +98,10 @@ start_instance()
local cfg="$1"
local realm="$(uci_get system.@system[0].hostname)"
local listen http https interpreter indexes path handler httpdconf haveauth
+ local enabled
+
+ config_get_bool enabled "$cfg" 'enabled' 1
+ [ $enabled -gt 0 ] || return
procd_open_instance
procd_set_param respawn